Merchant Configuration
Update merchant payment configuration
Root-admin-only. Updates VGS, Kount, 3DS acquirer, payout, and/or platform-fee settings. Obfuscated secret values (containing ”********”) are silently skipped to prevent overwriting real secrets. 3DS acquirer fields are merged into the network_3ds_setting JSONB. Payout fields are merged into payouts_settings JSONB.
PATCH
/
api
/
payment
/
v2026-04
/
merchants
/
{merchant_id}
/
configuration
Update merchant payment configuration
curl --request PATCH \
--url https://api.fluid.app/api/payment/v2026-04/merchants/{merchant_id}/configuration \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"configuration": {
"vgs_environment": "sandbox",
"network_tokens_enabled": true
}
}
'import requests
url = "https://api.fluid.app/api/payment/v2026-04/merchants/{merchant_id}/configuration"
payload = { "configuration": {
"vgs_environment": "sandbox",
"network_tokens_enabled": True
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({configuration: {vgs_environment: 'sandbox', network_tokens_enabled: true}})
};
fetch('https://api.fluid.app/api/payment/v2026-04/merchants/{merchant_id}/configuration', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"vgs_client_id": "<string>",
"vgs_client_secret": "<string>",
"kount_enterprise": false,
"kount_api_key": "<string>",
"kount_client_id": "150953359757648",
"kount_channel_prefix": "<string>",
"kount_webhook_signing_key": "MG9h********Tg==",
"kount_accounts": [
{
"enterprise": true,
"channel_prefix": "<string>",
"api_key": "<string>",
"client_id": "150953359757648",
"webhook_signing_key": "<string>"
}
],
"network_tokens_enabled": true,
"vgs_cmp_vault_id": "<string>",
"vgs_proxy_username": "<string>",
"vgs_proxy_password": "<string>",
"network_3ds_setting": {
"visa_acquirer_bin": "<string>",
"visa_acquirer_merchant_id": "<string>",
"mastercard_acquirer_bin": "<string>",
"mastercard_acquirer_merchant_id": "<string>",
"amex_acquirer_bin": "<string>",
"amex_acquirer_merchant_id": "<string>",
"amex_acquirer_requestor_id": "<string>",
"amex_acquirer_requestor_name": "<string>",
"discover_acquirer_bin": "<string>",
"discover_acquirer_merchant_id": "<string>",
"discover_acquirer_requestor_id": "<string>",
"discover_acquirer_requestor_name": "<string>"
},
"payouts_settings": {
"payout_collection_enabled": true,
"minimum_payout_amount": 123,
"last_payout_collection_at": "2023-11-07T05:31:56Z"
},
"platform_fee_rate": 2.9,
"platform_fee_fixed": 0.3
},
"meta": {
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
}
}{
"status": "error",
"message": "<string>",
"meta": {
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
}
}{
"message": "<string>",
"meta": {
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
},
"status": "<string>"
}{
"message": "<string>",
"meta": {
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
}
}{
"status": "error",
"message": "<string>",
"meta": {
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
}
}{
"status": "error",
"errors": "<string>",
"meta": {
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
}
}Authorizations
API key (fp_live_/fp_test_) or JWT bearer token
Path Parameters
Merchant ID or company ID (both are unique-indexed)
Body
application/json
Show child attributes
Show child attributes
⌘I
Update merchant payment configuration
